curl --request POST \
--url https://api-sandbox.revolv3.com/api/Payments/sale/{paymentMethodId} \
--header 'Content-Type: application/json-patch+json' \
--header 'x-revolv3-token: <api-key>' \
--data '
{
"networkProcessing": null,
"onlinePaymentCryptogram": null,
"customerId": null,
"includeRawProcessorResponse": false,
"invoice": {
"merchantInvoiceRefId": null,
"orderProcessingChannel": null,
"ecommercePlatformUrl": null,
"amount": {
"currency": "USD",
"value": 100
}
},
"dynamicDescriptor": null,
"reportGroup": null
}
'{
"customerId": 1,
"invoiceId": 563,
"merchantInvoiceRefId": "1234-5678-9101",
"merchantPaymentMethodRefId": "#1234567890",
"networkTransactionId": "600200756888390",
"invoiceStatus": "Paid",
"invoiceAttemptStatus": "Success",
"message": "Approved",
"amount": {
"currency": "USD",
"value": 30.99
},
"paymentMethodId": 8453,
"paymentMethodTypeId": 2,
"paymentProcessor": "Nuvei",
"processorMerchantId": "4398673209738",
"rawResponse": "Processor raw response (without parsing on Revolv3 side)",
"paymentMethodCreditCardDetails": null,
"responseMessage": "Approved",
"responseCode": "0",
"processorResponseDateTime": null,
"authCode": null,
"processorTransactionId": null,
"revolv3ResponseCode": null,
"revolv3ResponseMessage": null
}Sale With Payment Method Id
Processes a sale transaction using a previously stored payment method, referenced by its unique ID. This is a one-step payment operation that authorizes and captures funds in a single call.
You must provide the paymentMethodId, along with invoice, and amount details.
This endpoint is commonly used for charging returning customers, subscriptions, or quick-pay scenarios where the user has already saved a card, or ACH account. The payment can be either one-time or it can include data to define the initial transaction in a recurring or installment stream. This allows the networks to tie subsequent transactions back to the original approval, ensuring a seamless and efficient payment process.
It improves security and user experience by avoiding the need to re-enter payment data.
Quick Starts:
Related Links:
curl --request POST \
--url https://api-sandbox.revolv3.com/api/Payments/sale/{paymentMethodId} \
--header 'Content-Type: application/json-patch+json' \
--header 'x-revolv3-token: <api-key>' \
--data '
{
"networkProcessing": null,
"onlinePaymentCryptogram": null,
"customerId": null,
"includeRawProcessorResponse": false,
"invoice": {
"merchantInvoiceRefId": null,
"orderProcessingChannel": null,
"ecommercePlatformUrl": null,
"amount": {
"currency": "USD",
"value": 100
}
},
"dynamicDescriptor": null,
"reportGroup": null
}
'{
"customerId": 1,
"invoiceId": 563,
"merchantInvoiceRefId": "1234-5678-9101",
"merchantPaymentMethodRefId": "#1234567890",
"networkTransactionId": "600200756888390",
"invoiceStatus": "Paid",
"invoiceAttemptStatus": "Success",
"message": "Approved",
"amount": {
"currency": "USD",
"value": 30.99
},
"paymentMethodId": 8453,
"paymentMethodTypeId": 2,
"paymentProcessor": "Nuvei",
"processorMerchantId": "4398673209738",
"rawResponse": "Processor raw response (without parsing on Revolv3 side)",
"paymentMethodCreditCardDetails": null,
"responseMessage": "Approved",
"responseCode": "0",
"processorResponseDateTime": null,
"authCode": null,
"processorTransactionId": null,
"revolv3ResponseCode": null,
"revolv3ResponseMessage": null
}Headers
Optional identifier generated by the client to match its own logs with this request.
Allowed values: 1 to 128 characters, letters, digits and ., _, :, -.
Examples: order-12345, 3f2b8c1e-9d4a-4e7b-a1c5-6b0d2e8f7a91 (GUID), checkout:2026-11-02.17, retry_1.order-12345.
A valid value is returned in the Client-Request-Id response header and is stored with Revolv3 request logs, so it can be used when contacting support.
An invalid value is ignored and the request is processed normally. Do not send sensitive data in this header.
1 - 128^[A-Za-z0-9._:-]{1,128}$Path Parameters
Body
Response
OK
The identifier returned for Visa, Mastercard, and Discover transactions. Visa and Discover use this value to link subsequent payments in a recurring/installment stream back to the initial transaction. You must include this value in the request message (originalNetworkTransactionId element) for subsequent recurring payments.
100Conditional. The value is returned if includeRawProcessorResponse = true. This field contains the raw data received from the processor after attempting to bill this payment. It does not contain any sensitive information. The field value is a string with the serialized response from the processor in JSON format.
10000
